Inmagic Genie for Firefox and non-IE browsers

by Administrator Friday, June 23, 2006 10:00 AM
Genie 2.1 is only "validated" for IE 6, which is fine for most pages intended for use by internal staff, but if you are using Genie for your OPAC, you have no control over your visitors' choice of browser. Genie does not display correctly in a non-IE browser, but it's possible, with some minor changes, to fix this. Changes include a stricter doctype, and the replacement of HTML attributes with CSS styles. The idea is to force browsers to interpret according to current web standards rather than relying on IE browser quirks (which may change with the release of IE 7 anyway). Happy to provide these updated files (catalog_search, catalog_report) if asked: Of course changes to core Genie files will be wiped out with any Genie update, so backup if you decide to make any changes!
blog comments powered by Disqus

Month List